/// <reference types="react" />
export declare const useHeaderHeight: () => [number, import("react").Dispatch<import("react").SetStateAction<number>>], HeaderHeightProvider: ({ children, initialValue, }: {
    children?: import("react").ReactNode;
    initialValue?: number | undefined;
}) => import("react").FunctionComponentElement<import("react").ProviderProps<[number, import("react").Dispatch<import("react").SetStateAction<number>>] | undefined>>;
export declare const useSyncHeaderHeight: () => {
    containerRef: import("react").RefObject<HTMLDivElement>;
};
